/*
 * Copyright 2012 Leviathan.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package mx.com.leviathan.console.command;

/**
 *
 * @author Leviathan
 */
public class CommandPackage {

    private String jar;
    private String classPath;
    private String[][] commands;

    public CommandPackage() {
    }

    public CommandPackage(String jar, String[]... commands) {
        this.jar = jar;
        this.commands = commands;
    }

    public String getJar() {
        return jar;
    }

    public void setJar(String jar) {
        this.jar = jar;
    }

    public String getClassPath() {
        return classPath;
    }

    public void setClassPath(String classPath) {
        this.classPath = classPath;
    }

    public String[][] getCommands() {
        return commands;
    }

    public void setCommands(String[][] commands) {
        this.commands = commands;
    }
}
