/*
 * Copyright 2012 Leviathan.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package mx.com.leviathan.console.util;

import java.util.Map;
import mx.com.leviathan.console.command.Executable;
import mx.com.leviathan.console.loader.CommandLoader;

/**
 *
 * @author Leviathan
 */
public class CommandUtils {
    
    public static boolean runCommand(String name, Map<String, Object> values) {
        Executable executable = CommandLoader.getInstance().loadCommand(name);
        return executable != null ? executable.execute(values) : false;
    }
}
